Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.orm.hibernate.metaclass
Class AbstractClausedStaticPersistentMethod

    java.lang.Object
      org.codehaus.groovy.grails.commons.metaclass.AbstractStaticMethodInvocation
          org.codehaus.groovy.grails.orm.hibernate.metaclass.AbstractStaticPersistentMethod
              org.codehaus.groovy.grails.orm.hibernate.metaclass.AbstractClausedStaticPersistentMethod

All Implemented Interfaces:
  StaticMethodInvocation

Direct Known Subclasses:
  CountByPersistentMethod, FindAllByPersistentMethod, FindByPersistentMethod

    public abstract class AbstractClausedStaticPersistentMethod

extends AbstractStaticPersistentMethod

Since:
  31-Aug-2005
Author:
  Graeme Rocher

Nested Class Summary
`protected static class` | `AbstractClausedStaticPersistentMethod.GrailsMethodExpression`

Field Summary
`protected GrailsApplication` | `application`

Constructor Summary
`AbstractClausedStaticPersistentMethod(GrailsApplication application, org.hibernate.SessionFactory sessionFactory, ClassLoader classLoader, Pattern pattern, String[] operators)`

Method Summary
`protected Object` | `doInvokeInternal(Class clazz, String methodName, Object[] arguments)`
`protected abstract Object` | `doInvokeInternalWithExpressions(Class clazz, String methodName, Object[] arguments, List expressions, String operatorInUse)`

Methods inherited from class org.codehaus.groovy.grails.orm.hibernate.metaclass.AbstractStaticPersistentMethod
`getHibernateTemplate, invoke`

Methods inherited from class org.codehaus.groovy.grails.commons.metaclass.AbstractStaticMethodInvocation
`getPattern, isMethodMatch, setPattern, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### application

    protected final GrailsApplication application

Constructor Detail

### AbstractClausedStaticPersistentMethod

    public AbstractClausedStaticPersistentMethod(GrailsApplication application,
                                                 org.hibernate.SessionFactory sessionFactory,
                                                 ClassLoader classLoader,
                                                 Pattern pattern,
                                                 String[] operators)

Method Detail

### doInvokeInternal

    protected Object doInvokeInternal(Class clazz,
                                      String methodName,
                                      Object[] arguments)

  Specified by:
    `doInvokeInternal` in class `AbstractStaticPersistentMethod`

### doInvokeInternalWithExpressions

    protected abstract Object doInvokeInternalWithExpressions(Class clazz,
                                                              String methodName,
                                                              Object[] arguments,
                                                              List expressions,
                                                              String operatorInUse)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2005-2006 The Grails project